User Tag List

Page 2 of 3 FirstFirst 1 2 3 LastLast
Results 11 to 20 of 22

Thread: 6.0

  1. #11
    Clicker Multimedia Fusion 2iOS Export Module

    Join Date
    Dec 2010
    Posts
    28
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    I upgraded to latest ios on my iphone, latest OSX on mac, and have xcode running fine. However, my application is forcing to portrait orientation on the iPhone! Is this an iOS 6 issue, or something else?

    What other 'fixes' are required for iOS 6?

    EDIT: Actually, this landscape issue is on the MMF2 side. In 5.1 simulator my app displays in landscape fine, but in 6.0 is goes to portrait. Damn! Today I was due to start testing my game on iPhone!

    Here's hoping for a fix pronto. In the meantime, anyone know how to rollback an iPhone?

  2. #12
    Clicker Multimedia Fusion 2 DeveloperiOS Export ModuleSWF Export Module

    Join Date
    Jan 2012
    Posts
    107
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    Heh,

    this is why I never let the thing update anymore. I cant allow apple to screw everything up in my development environment again and again.....

  3. #13
    Clicker Multimedia Fusion 2 DeveloperiOS Export ModuleSWF Export Module
    Francois's Avatar
    Join Date
    Jul 2006
    Location
    Montpellier, France
    Posts
    6,920
    Mentioned
    0 Post(s)
    Tagged
    1 Thread(s)
    This will be corrected in the next version, in beta really soon...

  4. #14
    Clicker Fusion 2.5 DeveloperiOS Export Module

    Join Date
    Feb 2012
    Posts
    45
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    Hi andos, can i confirm that trying to publish he new xcode will led to errors? I wont panic if tht is the case.... My new returned a few errors with he new xcode?

  5. #15
    Clicker Fusion 2.5 DeveloperFusion 2.5+ DLCAndroid Export ModuleiOS Export Module
    jregork's Avatar
    Join Date
    Oct 2009
    Posts
    266
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    But even if you don't update, isn't this still going to be a problem for any players that are running 6.0?

  6. #16
    Clickteam Clickteam
    Anders's Avatar
    Join Date
    Jun 2006
    Location
    Denmark, ┼rhus
    Posts
    3,455
    Mentioned
    4 Post(s)
    Tagged
    1 Thread(s)
    The current beta gives compiler warnings because of API changes and might refuse to run on new devices such as iPad3.

    It is because apple has removed support for the 'armv6' architecture which was the only supported architecture back on the early devices (such as iPhone 2).
    Since 3GS they have been using armv7, and now with iPhone5 they are starting to use "armv7s".

  7. #17
    Clicker Fusion 2.5 DeveloperiOS Export Module

    Join Date
    Feb 2012
    Posts
    45
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    Hi andos, surprisingly, whilst xcode showed a list of errors, my test app worked on the simulator and my 4s

  8. #18
    Clicker Fusion 2.5 DeveloperFusion 2.5+ DLCAndroid Export ModuleiOS Export Module
    jregork's Avatar
    Join Date
    Oct 2009
    Posts
    266
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    So if our apps support armv7 only, there shouldn't be a problem? I know I select arm7 only in MMF, and also change it to arm7 only in xcode.

  9. #19
    Clickteam Clickteam
    Anders's Avatar
    Join Date
    Jun 2006
    Location
    Denmark, ┼rhus
    Posts
    3,455
    Mentioned
    4 Post(s)
    Tagged
    1 Thread(s)
    The new beta for iOS will change the architectures property:

    Default architectures: XCode will decice which architectures it compiles for (with iOS6 SDK this will be armv7 and armv7s - for iOS5 SDK this will be armv6 and armv7)

    All architectures: This will be armv6, armv7 and armv7s (armv7s only if you have iOS6 SDK). Please note that this is for compatibility for old devices only. XCode 4.5 with iOS6 SDK will complain about armv6 not being supported and generate a bunch of warnings.

  10. #20
    Clicker Fusion 2.5 DeveloperFusion 2.5+ DLCAndroid Export ModuleiOS Export Module
    jregork's Avatar
    Join Date
    Oct 2009
    Posts
    266
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    Quote Originally Posted by Andos View Post
    The new beta for iOS will change the architectures property:

    Default architectures: XCode will decice which architectures it compiles for (with iOS6 SDK this will be armv7 and armv7s - for iOS5 SDK this will be armv6 and armv7)

    All architectures: This will be armv6, armv7 and armv7s (armv7s only if you have iOS6 SDK). Please note that this is for compatibility for old devices only. XCode 4.5 with iOS6 SDK will complain about armv6 not being supported and generate a bunch of warnings.
    Do you mean MMF will decide?

    Also, will we still have the choice to limit the architecture manually? I know my games won't run on pre-3Gs devices anyway, so I always choose armv7 in MMF and Xcode to keep people with those devices from downloading.

Page 2 of 3 FirstFirst 1 2 3 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •